<?
include_once '../../../sys/inc/start.php';
include_once '../../../sys/inc/compress.php';
include_once '../../../sys/inc/sess.php';
include_once '../../../sys/inc/home.php';
include_once '../../../sys/inc/settings.php';
include_once '../../../sys/inc/db_connect.php';
include_once '../../../sys/inc/ipua.php';
include_once '../../../sys/inc/fnc.php';
include_once '../../../sys/inc/user.php';
only_reg();

if (isset($_POST['result']))
{
	if ($_POST['result'] != $_SESSION['count'])
	{
		$err[] = 'Ответ не верный, попробуйте еще раз';
	}
	
	if ($_SESSION['mtime'] > $time)
	{
		$err[] = 'Время истекло, вы не успели дать ответ';
	}
	
	if (!$err)
	{
		$cost = $_SESSION['cost'];
		
		mysql_query("UPDATE `user` SET `balls` = '" . ($user['balls'] + $cost) . "' WHERE `id` = '$user[id]' LIMIT 1");
		$_SESSION['win'] = true;
		$_SESSION['message'] = 'Вы выиграли!';
		header('Location: ?');
		exit;
	}
}

$set['title'] = 'Посчитай звезды'; // заголовок страницы
include_once '../../../sys/inc/thead.php';
err();
title();
aut();


echo '<div class="foot">';
echo '<img src="/style/icons/str2.gif"> <a href="/plugins/games/">Онлайн игры</a> | <a href="?">' . $set['title'] . '</a>';
echo '</div>';

echo '<div class="nav2">';

if (isset($_GET['game']) && ($_GET['game'] == 300 || $_GET['game'] == 600 || $_GET['game'] == 900))
{

	// Какой цвет будем считать
	$_SESSION['color'] = mt_rand(1, 5);

	// Колличество палочек
	$var = abs(intval($_GET['game']));
	
	if ($var == '300')
	{
		$mtime = '90';
		$_SESSION['cost'] = 100;
	}	
	elseif ($var == '600')
	{
		$mtime = '180';
		$_SESSION['cost'] = 500;
	}	
	elseif ($var == '900')
	{
		$mtime = '240';
		$_SESSION['cost'] = 1000;
	}
	
	// Устанавливаем отсчет
	$_SESSION['mtime'] = $mtime;
	
	$count = 0;
	
	if ($_SESSION['color'] == '1')
	{
		$name = '<font color="red"><b>красных</b></font>';
	}
	elseif ($_SESSION['color'] == '2')
	{
		$name = '<font color="green"><b>зеленых</b></font>';
	}
	elseif ($_SESSION['color'] == '3')
	{
		$name = '<font color="blue"><b>синих</b></font>';
	}
	elseif ($_SESSION['color'] == '4')
	{
		$name = '<font color="black"><b>черных</b></font>';
	}
	elseif ($_SESSION['color'] == '5')
	{
		$name = '<font color="gray"><b>cерых</b></font>';
	}
	
	echo 'Посчитайте сколько ' . $name . ' звездочек из ' . $var . ' вы видите! На это у вас есть ' . $mtime . ' секунд.';
	
	?><div style="background-color: #ffffff; display: block; max-width: 90%; text-align: center; margin: 0 auto; padding: 8px 4px 8px 4px;"><?
	
	for ($i = 0; $i < $var; $i++)
	{
		// Cлучайный цвет
		$rand = mt_rand(1, 5);
		
		// Задаем параметры
		if ($rand == 1)
		{
			$color = 'red';
			if ($_SESSION['color'] == $rand)$count++;
		}
		elseif ($rand == 2)
		{
			$color = 'green';
			if ($_SESSION['color'] == $rand)$count++;
		}
		elseif ($rand == 3)
		{
			$color = 'blue';
			if ($_SESSION['color'] == $rand)$count++;
		}
		elseif ($rand == 4)
		{
			$color = 'black';
			if ($_SESSION['color'] == $rand)$count++;
		}
		elseif ($rand == 5)
		{
			$color = 'gray';
			if ($_SESSION['color'] == $rand)$count++;
		}
		
		echo '<font color="' . $color . '"><b>&#9733;</b></font> ';
		
	}	
	
	// Cчитаем палочки
	$_SESSION['count'] = $count;
	
	?></div><?
	
	?>
	<form action="?game=<?=$var?>" method="post">
	Введите результат:<br />
	<input type="text" name="result" value="">
	<input type="submit" value="Ответить"><br /><a href="?game=<?=$var?>">Обновить задание</a>
	</form>
	<?
	
}
else
{

	if (isset($_SESSION['win']) && $_SESSION['win'] == true)
	{
		echo '<div class="mess">';
		echo 'Поздравляем! Ваш выигрыш составил <b style="color:blue">' . $_SESSION['cost'] . '</b> баллов!<br />';
		echo 'Играть еще...<br />';
		echo '</div>';
		$_SESSION['win'] = false;
		$_SESSION['cost'] = 0;
	}
	else
	{
		echo '<div class="">';
		echo 'Игра <font color="blue">"Посчитай звезды"</font><br />';
		echo 'А вы в детстве считали звезды на небе? Так вот тут тот же принцип, только у нас нужно считать цветные звездочки, да еще и за определенное время.<br />';
		echo 'Суть игры проста, нужно посчитать колличество звезд определенного цвета, за ограниченное время. Результат вписать в форму ниже и если число верное, то вы получите награду.<br />';
		echo 'За правильные ответы:<br />';
		echo '<font color="gray">300 звездочек = 100 баллов</font><br />';
		echo '<font color="green">600 звездочек = 500 баллов</font><br />';
		echo '<font color="blue">900 звездочек = 1000 баллов</font><br />';
		echo '</div>---<br />';	
	}


	echo '<font color="gray"><b>&#9733;</b></font> <a href="?game=300">Cчитать 300 звезд</a><br />';
	echo '<font color="green"><b>&#9733;</b></font> <a href="?game=600">Cчитать 600 звезд</a><br />';
	echo '<font color="blue"><b>&#9733;</b></font> <a href="?game=900">Cчитать 900 звезд</a><br />';
}

echo '</div>';

echo '<div class="foot">';
echo '<img src="/style/icons/str2.gif"> <a href="/plugins/games/">Онлайн игры</a> | <a href="?">' . $set['title'] . '</a>';
echo '</div>';

include_once '../../../sys/inc/tfoot.php';
?>